Ruleset when upgrading from v2.03 to v2.04

Discussion in 'LnS English Forum' started by friedclams, Feb 13, 2003.

Thread Status:
Not open for further replies.
  1. friedclams

    friedclams Registered Member

    Joined:
    Jan 25, 2003
    Posts:
    17
    I haven't yet upgraded from v2.03 to v2.04...mainly because I'm afraid/lazy to reconstruct my ruleset...

    Can I upgrade to v2.04 and use my v2.03 ruleset without having to make any changes o_O

    If I have to make changes, is there a specific rule type I need to look at to change?

    thanks,
     
  2. CrazyM

    CrazyM Firewall Expert

    Joined:
    Feb 9, 2002
    Posts:
    2,428
    Location:
    BC, Canada
    Hi friedclams

    Save your rule set (.rls file) to another directory (just to be safe). Once the update is complete, you can import your saved .rls file from where it is saved or copy it into the LnS directory and load it from there.

    Regards,

    CrazyM
     
  3. Frederic

    Frederic LnS Developer

    Joined:
    Jan 9, 2003
    Posts:
    4,354
    Location:
    France
    Hi friedclams,

    No problem, the upgrade will keep your existing ruleset, and it will still work without any modification.

    This is for us a design requirement to have the ruleset still compatible when upgrading.

    The opposite is not true. If you downgrade from 2.04 to 2.03 and a ruleset is using new features of the 2.04, it may be possible that on the 2.03 the ruleset will not work correctly (this applies as well when installing the Lite version over the version 2).

    Regards,

    Frederic.
     
Loading...
Thread Status:
Not open for further replies.